Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class FileElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.FileElement

public class FileElement
extends HtmlElement

A FileElement object is used to retrieve the contents of a file.

Version:
  2.1
Author:
  Copyright (c) 1995-96, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`FileElement()` Deprecated. Constructs a FileElement.
`FileElement(java.lang.String filename)` Deprecated. Constructs a FileElement with the specified filename.

Method Summary
`java.lang.String` | `getFileName()` Deprecated. Gets the filename of a FileElement.
`void` | `output(java.io.OutputStream out)` Deprecated. Outputs a FileElement to the specified output stream.
`void` | `output(java.io.OutputStream out, java.lang.String codeset)` Deprecated. Outputs a FileElement to the specified output stream.
`void` | `output(java.io.PrintWriter pw)` Deprecated.
`FileElement` | `setFileName(java.lang.String filename)` Deprecated. Sets the filename of a FileElement.
`int` | `widthAsLiteral()` Deprecated. Returns the number of characters in a FileElement.

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileElement

    public FileElement()

  Deprecated.
  Constructs a FileElement.

### FileElement

    public FileElement(java.lang.String filename)

  Deprecated.
  Constructs a FileElement with the specified filename.

  Parameters:
    `filename` - Filename

Method Detail

### widthAsLiteral

    public int widthAsLiteral()

  Deprecated.
  Returns the number of characters in a FileElement.

  Returns:
    Width
  Overrides:
    widthAsLiteral in class HtmlElement

### setFileName

    public FileElement setFileName(java.lang.String filename)

  Deprecated.
  Sets the filename of a FileElement.

  Parameters:
    `filename` - Filename

### getFileName

    public java.lang.String getFileName()

  Deprecated.
  Gets the filename of a FileElement.

  Returns:
    Filename

### output

    public void output(java.io.OutputStream out)
                throws java.io.IOException

  Deprecated.
  Outputs a FileElement to the specified output stream.

  Parameters:
    `out` - OutputStream
  Throws:
    java.io.IOException - if there is an IO error
  Overrides:
    output in class HtmlElement

### output

    public void output(java.io.OutputStream out,
                       java.lang.String codeset)
                throws java.io.IOException

  Deprecated.
  Outputs a FileElement to the specified output stream.

  Parameters:
    `out` - OutputStream
    `codeset` - Java Codeset
  Throws:
    java.io.IOException - if there is an IO error
  Overrides:
    output in class HtmlElement

### output

    public void output(java.io.PrintWriter pw)
                throws java.io.IOException

  Deprecated.

  Overrides:
    output in class HtmlElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD